RNifti Fast R and C++ Access to NIfTI Images

Public Member Functions | List of all members
RNifti::NiftiImageData::ConcreteTypeHandler< Type, alpha > Struct Template Reference

Concrete inner class template defining behaviour specific to individual data types. More...

`#include <NiftiImage.h>`

Inheritance diagram for RNifti::NiftiImageData::ConcreteTypeHandler< Type, alpha >:

## Public Member Functions
size_t | size () const
bool | hasNaN () const
complex128_t | getComplex (void *ptr) const
double | getDouble (void *ptr) const
int | getInt (void *ptr) const
void | setComplex (void *ptr, const complex128_t value) const
void | setDouble (void *ptr, const double value) const
void | setInt (void *ptr, const int value) const
void | minmax (void *ptr, const size_t length, double *min, double *max) const
bool | hasNaN () const
Public Member Functions inherited from RNifti::NiftiImageData::TypeHandler
virtual rgba32_t | getRgb (void *ptr) const
virtual void | setRgb (void *ptr, const rgba32_t value) const

## Detailed Description

template<typename Type, bool alpha = false>
struct RNifti::NiftiImageData::ConcreteTypeHandler< Type, alpha >

Concrete inner class template defining behaviour specific to individual data types.

## Member Function Documentation

## ◆ getComplex()

template<typename Type, bool alpha = false>

complex128_t RNifti::NiftiImageData::ConcreteTypeHandler< Type, alpha >::getComplex | ( | void * | ptr | ) | const
| inline virtual

Reimplemented from RNifti::NiftiImageData::TypeHandler.

## ◆ getDouble()

template<typename Type, bool alpha = false>

double RNifti::NiftiImageData::ConcreteTypeHandler< Type, alpha >::getDouble | ( | void * | ptr | ) | const
| inline virtual

Reimplemented from RNifti::NiftiImageData::TypeHandler.

## ◆ getInt()

template<typename Type, bool alpha = false>

int RNifti::NiftiImageData::ConcreteTypeHandler< Type, alpha >::getInt | ( | void * | ptr | ) | const
| inline virtual

Reimplemented from RNifti::NiftiImageData::TypeHandler.

## ◆ hasNaN() [1/2]

template<typename Type, bool alpha = false>

bool RNifti::NiftiImageData::ConcreteTypeHandler< Type, alpha >::hasNaN | ( |  | ) | const
| inline virtual

Reimplemented from RNifti::NiftiImageData::TypeHandler.

## ◆ hasNaN() [2/2]

bool RNifti::NiftiImageData::ConcreteTypeHandler< int >::hasNaN | ( |  | ) | const
| inline virtual

Reimplemented from RNifti::NiftiImageData::TypeHandler.

## ◆ minmax()

template<typename Type, bool alpha = false>

void RNifti::NiftiImageData::ConcreteTypeHandler< Type, alpha >::minmax | ( | void * | ptr,
|  | const size_t | length,
|  | double * | min,
|  | double * | max ) const
| virtual

Reimplemented from RNifti::NiftiImageData::TypeHandler.

## ◆ setComplex()

template<typename Type, bool alpha = false>

void RNifti::NiftiImageData::ConcreteTypeHandler< Type, alpha >::setComplex | ( | void * | ptr,
|  | const complex128_t | value ) const
| inline virtual

Reimplemented from RNifti::NiftiImageData::TypeHandler.

## ◆ setDouble()

template<typename Type, bool alpha = false>

void RNifti::NiftiImageData::ConcreteTypeHandler< Type, alpha >::setDouble | ( | void * | ptr,
|  | const double | value ) const
| inline virtual

Reimplemented from RNifti::NiftiImageData::TypeHandler.

## ◆ setInt()

template<typename Type, bool alpha = false>

void RNifti::NiftiImageData::ConcreteTypeHandler< Type, alpha >::setInt | ( | void * | ptr,
|  | const int | value ) const
| inline virtual

Reimplemented from RNifti::NiftiImageData::TypeHandler.

## ◆ size()

template<typename Type, bool alpha = false>

size_t RNifti::NiftiImageData::ConcreteTypeHandler< Type, alpha >::size | ( |  | ) | const
| inline virtual

Reimplemented from RNifti::NiftiImageData::TypeHandler.

The documentation for this struct was generated from the following file:

- inst/include/RNifti/NiftiImage.h